Launch a fact-find session as an adviser on behalf of a client. Run in API Explorer

GET /api/v2/fact-find-session/{factFindSession_uuid}/account/{account_uuid}

This endpoint allows an adviser to launch a fact-find session for one of their clients. On success, the adviser is redirected to the client portal with a 6-hour authenticated session. The session data will include a launched_by_account_uuid to identify the adviser.

The client portal can then fetch the session data via the public API endpoint: GET /api/v2/fact-find-launch/{factFindSessionUuid}

Path parameters

  • factFindSession_uuid string Required
  • account_uuid string Required
  • factFindSession string Required

    The UUID of the fact-find session.

  • account string Required

    The UUID of the client account to launch on behalf of.

Responses

GET /api/v2/fact-find-session/{factFindSession_uuid}/account/{account_uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/fact-find-session/6ff8f7f6-1eb3-3525-be4a-3932c805afed/account/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (302)
Redirects to the client portal at /fact-find-session/{factFindSessionUuid}
Response examples (401)
{
  "message": "Unauthenticated."
}
Response examples (403)
The adviser does not have access to this client or the account is not on the session.
Response examples (404)
The fact-find session or account UUID does not exist.